Package org.kie.internal.task.api.model

## Interface Notification

- All Superinterfaces:
    `java.io.Externalizable`, `java.io.Serializable`
  All Known Subinterfaces:
    `EmailNotification`

      public interface Notification
      extends java.io.Externalizable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<org.kie.api.task.model.OrganizationalEntity>` | `getBusinessAdministrators()` |
    `java.util.List<org.kie.api.task.model.I18NText>` | `getDescriptions()` |
    `java.util.List<org.kie.api.task.model.I18NText>` | `getDocumentation()` |
    `java.lang.Long` | `getId()` |
    `java.util.List<org.kie.api.task.model.I18NText>` | `getNames()` |
    `NotificationType` | `getNotificationType()` |
    `int` | `getPriority()` |
    `java.util.List<org.kie.api.task.model.OrganizationalEntity>` | `getRecipients()` |
    `java.util.List<org.kie.api.task.model.I18NText>` | `getSubjects()` |
    `void` | `setBusinessAdministrators​(java.util.List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators)` |
    `void` | `setDescriptions​(java.util.List<org.kie.api.task.model.I18NText> descriptions)` |
    `void` | `setDocumentation​(java.util.List<org.kie.api.task.model.I18NText> documentation)` |
    `void` | `setId​(long id)` |
    `void` | `setNames​(java.util.List<org.kie.api.task.model.I18NText> names)` |
    `void` | `setPriority​(int priority)` |
    `void` | `setRecipients​(java.util.List<org.kie.api.task.model.OrganizationalEntity> recipients)` |
    `void` | `setSubjects​(java.util.List<org.kie.api.task.model.I18NText> subjects)` |

    - ### Methods inherited from interface java.io.Externalizable

      `readExternal, writeExternal`

- - ### Method Detail

    - #### getId

          java.lang.Long getId()

    - #### setId

          void setId​(long id)

    - #### getNotificationType

          NotificationType getNotificationType()

    - #### getDocumentation

          java.util.List<org.kie.api.task.model.I18NText> getDocumentation()

    - #### setDocumentation

          void setDocumentation​(java.util.List<org.kie.api.task.model.I18NText> documentation)

    - #### getPriority

          int getPriority()

    - #### setPriority

          void setPriority​(int priority)

    - #### getRecipients

          java.util.List<org.kie.api.task.model.OrganizationalEntity> getRecipients()

    - #### setRecipients

          void setRecipients​(java.util.List<org.kie.api.task.model.OrganizationalEntity> recipients)

    - #### getBusinessAdministrators

          java.util.List<org.kie.api.task.model.OrganizationalEntity> getBusinessAdministrators()

    - #### setBusinessAdministrators

          void setBusinessAdministrators​(java.util.List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators)

    - #### getNames

          java.util.List<org.kie.api.task.model.I18NText> getNames()

    - #### setNames

          void setNames​(java.util.List<org.kie.api.task.model.I18NText> names)

    - #### getSubjects

          java.util.List<org.kie.api.task.model.I18NText> getSubjects()

    - #### setSubjects

          void setSubjects​(java.util.List<org.kie.api.task.model.I18NText> subjects)

    - #### getDescriptions

          java.util.List<org.kie.api.task.model.I18NText> getDescriptions()

    - #### setDescriptions

          void setDescriptions​(java.util.List<org.kie.api.task.model.I18NText> descriptions)